Update a Payout Subaccount
curl --request PUT \
--url https://api.flutterwave.com/v3/payout-subaccounts/{account_reference} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_name": "Another Example",
"email": "developers@flutterwavego.com",
"mobilenumber": "234000001708294",
"country": "US"
}
'import requests
url = "https://api.flutterwave.com/v3/payout-subaccounts/{account_reference}"
payload = {
"account_name": "Another Example",
"email": "developers@flutterwavego.com",
"mobilenumber": "234000001708294",
"country": "US"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_name: 'Another Example',
email: 'developers@flutterwavego.com',
mobilenumber: '234000001708294',
country: 'US'
})
};
fetch('https://api.flutterwave.com/v3/payout-subaccounts/{account_reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Payout subaccount updated",
"data": {
"id": 699,
"account_reference": "PSAFF2118D1A33844332",
"account_name": "Another Example",
"barter_id": "234000001708294",
"email": "developers@flutterwavego.com",
"mobilenumber": "234000001708294",
"country": "US",
"nuban": "6222126177",
"bank_name": "Sterling Bank",
"bank_code": "232",
"status": "ACTIVE",
"created_at": "2022-03-04T19:57:24.000Z"
}
}{
"status": "error",
"message": "Account reference is Invalid",
"data": null
}Payout Subaccounts
Update a Payout Subaccount
Update the details of a payout subaccount
PUT
/
payout-subaccounts
/
{account_reference}
Update a Payout Subaccount
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"PSAFF2118D1A33844332"
Body
application/json
Response
OK
Show child attributes
Show child attributes
Example:
{
"id": 4190,
"account_reference": "PSA7472870CFA3073543",
"account_name": "Example User",
"barter_id": "234000002466747",
"email": "user@gmail.com",
"mobilenumber": "09010000000",
"country": "US",
"nuban": "6222125542",
"bank_name": "Sterling Bank",
"bank_code": "232",
"status": "ACTIVE",
"created_at": "2024-03-24T09:38:03.000Z"
}
Was this page helpful?
⌘I